# /homes/fmmarquesmadeira/Projects/jabaws/binaries/src/ViennaRNA/H/PS_dot.h File Reference

Various functions for plotting RNA secondary structures, dot-plots and other visualizations. More...

Include dependency graph for PS_dot.h:

Go to the source code of this file.

## Functions
int | PS_rna_plot (char *string, char *structure, char *file)
| Produce a secondary structure graph in PostScript and write it to 'filename'.
int | PS_rna_plot_a (char *string, char *structure, char *file, char *pre, char *post)
| Produce a secondary structure graph in PostScript including additional annotation macros and write it to 'filename'.
int | gmlRNA (char *string, char *structure, char *ssfile, char option)
| Produce a secondary structure graph in Graph Meta Language (gml) and write it to a file.
int | ssv_rna_plot (char *string, char *structure, char *ssfile)
| Produce a secondary structure graph in SStructView format.
int | svg_rna_plot (char *string, char *structure, char *ssfile)
| Produce a secondary structure plot in SVG format and write it to a file.
int | xrna_plot (char *string, char *structure, char *ssfile)
| Produce a secondary structure plot for further editing in XRNA.
int | PS_dot_plot_list (char *seq, char *filename, plist *pl, plist *mf, char *comment)
| Produce a postscript dot-plot from two pair lists.
int | aliPS_color_aln (const char *structure, const char *filename, const char *seqs[], const char *names[])
int | PS_dot_plot (char *string, char *file)
| Produce postscript dot-plot.

## Detailed Description

Various functions for plotting RNA secondary structures, dot-plots and other visualizations.

## Function Documentation

int PS_rna_plot | ( | char * | string,
|  | char * | structure,
|  | char * | file |
| ) |  |  |

Produce a secondary structure graph in PostScript and write it to 'filename'.

Note that this function has changed from previous versions and now expects the structure to be plotted in dot-bracket notation as an argument. It does not make use of the global base_pair array anymore.

Parameters:

  | string | The RNA sequence
  | structure | The secondary structure in dot-bracket notation
  | file | The filename of the postscript output

Returns:
  1 on success, 0 otherwise

int PS_rna_plot_a | ( | char * | string,
|  | char * | structure,
|  | char * | file,
|  | char * | pre,
|  | char * | post |
| ) |  |  |

Produce a secondary structure graph in PostScript including additional annotation macros and write it to 'filename'.

Same as PS_rna_plot() but adds extra PostScript macros for various annotations (see generated PS code). The 'pre' and 'post' variables contain PostScript code that is verbatim copied in the resulting PS file just before and after the structure plot. If both arguments ('pre' and 'post') are NULL, no additional macros will be printed into the PostScript.

Parameters:

  | string | The RNA sequence
  | structure | The secondary structure in dot-bracket notation
  | file | The filename of the postscript output
  | pre | PostScript code to appear before the secondary structure plot
  | post | PostScript code to appear after the secondary structure plot

Returns:
  1 on success, 0 otherwise

int gmlRNA | ( | char * | string,
|  | char * | structure,
|  | char * | ssfile,
|  | char | option |
| ) |  |  |

Produce a secondary structure graph in Graph Meta Language (gml) and write it to a file.

If 'option' is an uppercase letter the RNA sequence is used to label nodes, if 'option' equals 'X' or 'x' the resulting file will coordinates for an initial layout of the graph.

Parameters:

  | string | The RNA sequence
  | structure | The secondary structure in dot-bracket notation
  | ssfile | The filename of the gml output
  | option | The option flag

Returns:
  1 on success, 0 otherwise

int ssv_rna_plot | ( | char * | string,
|  | char * | structure,
|  | char * | ssfile |
| ) |  |  |

Produce a secondary structure graph in SStructView format.

Write coord file for SStructView

Parameters:

  | string | The RNA sequence
  | structure | The secondary structure in dot-bracket notation
  | ssfile | The filename of the ssv output

Returns:
  1 on success, 0 otherwise

int svg_rna_plot | ( | char * | string,
|  | char * | structure,
|  | char * | ssfile |
| ) |  |  |

Produce a secondary structure plot in SVG format and write it to a file.

Parameters:

  | string | The RNA sequence
  | structure | The secondary structure in dot-bracket notation
  | ssfile | The filename of the svg output

Returns:
  1 on success, 0 otherwise

int xrna_plot | ( | char * | string,
|  | char * | structure,
|  | char * | ssfile |
| ) |  |  |

Produce a secondary structure plot for further editing in XRNA.

Parameters:

  | string | The RNA sequence
  | structure | The secondary structure in dot-bracket notation
  | ssfile | The filename of the xrna output

Returns:
  1 on success, 0 otherwise

int PS_dot_plot_list | ( | char * | seq,
|  | char * | filename,
|  | plist * | pl,
|  | plist * | mf,
|  | char * | comment |
| ) |  |  |

Produce a postscript dot-plot from two pair lists.

This function reads two plist structures (e.g. base pair probabilities and a secondary structure) as produced by assign_plist_from_pr() and assign_plist_from_db() and produces a postscript "dot plot" that is written to 'filename'.
Using base pair probabilities in the first and mfe structure in the second plist, the resulting "dot plot" represents each base pairing probability by a square of corresponding area in a upper triangle matrix. The lower part of the matrix contains the minimum free energy structure.

See also:
  assign_plist_from_pr(), assign_plist_from_db()

Parameters:

  | seq | The RNA sequence
  | filename | A filename for the postscript output
  | pl | The base pair probability pairlist
  | mf | The mfe secondary structure pairlist
  | comment | A comment

Returns:
  1 if postscript was successfully written, 0 otherwise

int aliPS_color_aln | ( | const char * | structure,
|  | const char * | filename,
|  | const char * | seqs[],
|  | const char * | names[] |
| ) |  |  |

PS_color_aln for duplexes

int PS_dot_plot | ( | char * | string,
|  | char * | file |
| ) |  |  |

Produce postscript dot-plot.

Wrapper to PS_dot_plot_list

Reads base pair probabilities produced by pf_fold() from the global array pr and the pair list base_pair produced by fold() and produces a postscript "dot plot" that is written to 'filename'. The "dot plot" represents each base pairing probability by a square of corresponding area in a upper triangle matrix. The lower part of the matrix contains the minimum free energy

Note:
  DO NOT USE THIS FUNCTION ANYMORE SINCE IT IS NOT THREADSAFE

Deprecated:
  This function is deprecated and will be removed soon! Use PS_dot_plot_list() instead!